# Uses of Class
javax.sound.midi.MidiDevice.Info

Packages that use MidiDevice.Info
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.
javax.sound.midi.spi
Supplies interfaces for service providers to implement when offering new MIDI devices, MIDI file readers and writers, or sound bank readers.

## Uses of MidiDevice.Info in javax.sound.midi

Methods in javax.sound.midi that return MidiDevice.Info
Modifier and Type
Method
Description
`MidiDevice.Info`
MidiDevice.`getDeviceInfo()`
Obtains information about the device, including its Java class and `Strings` containing its name, vendor, and description.
`static MidiDevice.Info[]`
MidiSystem.`getMidiDeviceInfo()`
Obtains an array of information objects representing the set of all MIDI devices available on the system.
Methods in javax.sound.midi with parameters of type MidiDevice.Info
Modifier and Type
Method
Description
`static MidiDevice`
MidiSystem.`getMidiDevice​(MidiDevice.Info info)`
Obtains the requested MIDI device.

## Uses of MidiDevice.Info in javax.sound.midi.spi

Methods in javax.sound.midi.spi that return MidiDevice.Info
Modifier and Type
Method
Description
`abstract MidiDevice.Info[]`
MidiDeviceProvider.`getDeviceInfo()`
Obtains the set of info objects representing the device or devices provided by this `MidiDeviceProvider`.
Methods in javax.sound.midi.spi with parameters of type MidiDevice.Info
Modifier and Type
Method
Description
`abstract MidiDevice`
MidiDeviceProvider.`getDevice​(MidiDevice.Info info)`
Obtains an instance of the device represented by the info object.
`boolean`
MidiDeviceProvider.`isDeviceSupported​(MidiDevice.Info info)`
Indicates whether the device provider supports the device represented by the specified device info object.